Bug 1421419 - video resolution of installer not usable on VIA Epia M910
Summary: video resolution of installer not usable on VIA Epia M910
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 08:19 UTC by udo
Modified: 2018-05-29 11:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:52:31 UTC
Type: Bug


Attachments (Terms of Use)
xorg.log (32.84 KB, text/plain)
2017-03-14 15:57 UTC, udo
no flags Details
xorg log from f25 install (27.63 KB, text/plain)
2017-03-15 14:44 UTC, udo
no flags Details

Description udo 2017-02-12 08:19:41 UTC
Description of problem:
Unable to set resolution at install time

Version-Release number of selected component (if applicable):
Fedora core 25 server ISO current of anaconda, kernel or which component?

How reproducible:
Take EPIA ITX baord, boot with FC 25 DVD, add resolution=1280x1024 to the kernel boot line and press enter;


Actual results:
No 1280x1024@60 hz according to monitor (default resolution)

Expected results:
Autodetection via DDC

Comment 1 udo 2017-02-12 08:30:16 UTC
Same results on other (larger) monitor.
So we must conclude that on VIA Epia M910 the installaer launches into an unusable video mode whatever we do.
The text install mode does not allow for customization of a disk layout so we can not install Fedora. (not even a simple LVM based one...)

Comment 2 udo 2017-02-12 08:34:34 UTC
Yes we cannot install Fedora:
The other options are via the network but what gibberish are the network interfaces named as instead of eth0 and eth1?
What to boot them with?
Oh, xhost is mentioned but nothing about a possible firewall?
No ssh is used? (did not get there as the installer assumes dhcp and cannot find eth0 and thus bombs out)
So I see multiple issues here.
textmode install is way too limited
graphical mode does not work
network mode is unclear to set up or even to explain how it should function
How to report them?

Comment 3 Martin Kolman 2017-02-13 09:24:06 UTC
(In reply to udo from comment #1)
> Same results on other (larger) monitor.
> So we must conclude that on VIA Epia M910 the installaer launches into an
> unusable video mode whatever we do.
> The text install mode does not allow for customization of a disk layout so
> we can not install Fedora. (not even a simple LVM based one...)

It is possible to configure partitioning via kickstart (check part, volgroup & logvol commands):

https://pykickstart.readthedocs.io/en/latest/kickstart-docs.html#chapter-2-kickstart-commands-in-fedora

Also if a correct resolution for your monitor is rejected by the system then there is probably something wrong with the video drivers, not really with Anaconda (if I understand the issue correctly).

Comment 4 udo 2017-02-13 14:05:08 UTC
Hello,

The first monitor as a 1280x1024 one with LCD.
Tried forcing that resolution.
Then I tried the 1680x1050 one.
Same deal.
So it may be the video driver.

This is the hardware:
00:01.0 VGA compatible controller: VIA Technologies, Inc. VX900 Graphics [Chrome9 HD]

Both monitors were connected via VGA.

Comment 5 Martin Kolman 2017-02-13 14:29:56 UTC
(In reply to udo from comment #4)
> Hello,
> 
> The first monitor as a 1280x1024 one with LCD.
> Tried forcing that resolution.
> Then I tried the 1680x1050 one.
> Same deal.
> So it may be the video driver.
> 
> This is the hardware:
> 00:01.0 VGA compatible controller: VIA Technologies, Inc. VX900 Graphics
> [Chrome9 HD]
> 
> Both monitors were connected via VGA.
OK, so I'm reassigning this bug to the openchrome video driver component, as I guess that's what's probably being used on your device.

Please reassign accordingly if my assumption is wrong. :)

Comment 6 Xavier Bachelot 2017-03-11 22:53:35 UTC
I guess there's not much I can do at this point, unless you can install in text mode with the default disk layout and then get an Xorg log.
Or install to another computer then move the disk to the VIA board. Basically, anything that would allow to get an Xorg log will help.

If that's not possible for whatever reason, let's wait for Fedora 26 Alpha release, which will have openchrome 0.6.0 (while F25 installer has 0.5.0).
Another possibility is to try with Fedora 24, which has 0.4.0 for the installer and 0.5.0 in the updates.

Comment 7 udo 2017-03-12 04:10:01 UTC
Text mode is too limited.
Default disk layout is not acceptable.
You imply that you cannot reproduce this.
Can you please confirm?
How then did I find two monitors that drive the driver into confusion?
I went ahead and installed using the vnc method.
But I can boot the DVD anytime and see where the xorg log is in that situation.
Can you please clarify?

Comment 8 Xavier Bachelot 2017-03-14 14:52:16 UTC
It is very likely a driver bug. I can not reproduce as I don't have the very same  hardware. I do have a bunch of VIA boards, with various IGPs flavors, ranging from the older CLE266 to the more recent VX900, but no Epia M910. The VX900 I own is actually a laptop, so the primary display is not VGA. I'll try to start a new install on it to see if I can reproduce, but this will not be conclusive, as again, this is not the same hardware.

There's no way for me to at least start to diagnose the issue with just a description of what is happening, I need an Xorg log. My assumption is openchrome will behave the same from Anaconda and from a running OS. That's why I suggested several ways to get Fedora installed in order to get an Xorg log. I understand you need to use a non-default disk layout, but this is orthogonal to the display issue. First let's try to diagnose then fix the display issue, then you will be able to re-install. And anyway, there's no way to get what's on the DVD fixed, so that'll just help for upcoming Fedora 26.
Hopefully that explains better what I am trying to achieve.

Also, why are you adding resolution=1280x1024 to the kernel parameters ? What happens if you don't ? Is there a different behavior with and without it ?

Reading your comment again, I understand you did manage to get F25 installed with VNC, which was not obvious at first. Does X works now ?

Comment 9 udo 2017-03-14 14:58:03 UTC
The proposal is to boot the F25 dvd again without destroying the installed system to get hold of a xorg.log.

I did try appending resolutions. No change.
I do and di not run X on the box and those itejms might have gotten updates since installing.
So booting the DVD and getting a xorg.log appears to be the choice.

If I do that, where is the log on the filesystem?

Comment 10 Xavier Bachelot 2017-03-14 15:43:23 UTC
According to https://fedoraproject.org/wiki/Anaconda/Logging#Anaconda_logs_on_the_running_system the X log should be in /tmp/X.log during the install then copied to /var/log/anaconda.xlog after the installation is finished.

Comment 11 udo 2017-03-14 15:57:00 UTC
Created attachment 1263007 [details]
xorg.log

Comment 12 udo 2017-03-14 15:57:35 UTC
The xorg log  does not have clues as far as I can see.

Comment 13 Xavier Bachelot 2017-03-14 17:22:16 UTC
Yup, no clue in the log, it looks fine... Not a monitor detection issue, likely something else. I would need a dump of the registers values, but that is likely not practical to achieve from Anaconda I guess. I'll make some tests to see if that is even possible at all.

How did the display looked like when running the installer ? Any chance you can take a picture ? That could bring some light. Remote debugging a video driver is kind of a difficult task.

Btw, you did not answer the question, is X working now ? I mean outside of anaconda, from the regular OS ? If not, I'll provide a version 0.6.0 of the driver for you to test. I have not built it for F25 yet, I'm chasing a regression with upstream at the moment.

Comment 14 udo 2017-03-15 14:44:25 UTC
Created attachment 1263351 [details]
xorg log from f25 install

I installed some extra rpms to get startx working; this is the log from that attempt.

 libICE                     x86_64      1.0.9-8.fc25         updates       69 k
 libSM                      x86_64      1.2.2-4.fc24         fedora        43 k
 libXcursor                 x86_64      1.1.14-6.fc24        fedora        34 k
 libXi                      x86_64      1.7.9-1.fc25         updates       44 k
 libXinerama                x86_64      1.1.3-6.fc24         fedora        18 k
 libXmu                     x86_64      1.1.2-4.fc24         fedora        74 k
 libXrandr                  x86_64      1.5.1-1.fc25         fedora        29 k
 libXt                      x86_64      1.1.5-3.fc24         fedora       178 k
 libXxf86misc               x86_64      1.0.3-11.fc24        fedora        24 k
 libbsd                     x86_64      0.8.3-1.fc25         updates       87 k
 libmcpp                    x86_64      2.7.2-16.fc24        fedora        80 k
 mcpp                       x86_64      2.7.2-16.fc24        fedora        30 k
 xorg-x11-server-utils      x86_64      7.7-20.fc25          fedora       185 k
 xorg-x11-xauth             x86_64      1:1.0.9-5.fc24       fedora        36 k
 xorg-x11-xinit             x86_64      1.3.4-13.fc25        updates       55 k
 libXdmcp                    x86_64      1.1.2-5.fc25        updates       37 k
 libXfont2                   x86_64      2.0.1-2.fc25        fedora       143 k
 libepoxy                    x86_64      1.4.1-1.fc25        updates      207 k
 libunwind                   x86_64      1.1-11.fc24         fedora        64 k
 libxkbfile                  x86_64      1.0.9-3.fc24        fedora        88 k
 xorg-x11-server-Xorg        x86_64      1.19.1-3.fc25       updates      1.5 M
 xorg-x11-server-common      x86_64      1.19.1-3.fc25       updates       47 k
 xorg-x11-xkb-utils          x86_64      7.7-17.fc24         fedora       109 k
 libXv                        x86_64      1.0.11-1.fc25       fedora       21 k
 libXvMC                      x86_64      1.0.10-1.fc25       fedora       26 k
 xorg-x11-drv-openchrome      x86_64      0.5.0-2.fc25        fedora      171 k

Comment 15 udo 2017-03-15 14:45:15 UTC
FWIW, this 910 has:
00:01.0 VGA compatible controller: VIA Technologies, Inc. VX900 Graphics [Chrome9 HD]

Comment 16 Fedora End Of Life 2017-11-16 19:36:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-03 08:09:40 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2018-05-29 11:52:31 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.